Bug 179520 - xstart shows dri rendering enabled. glxinfo shows disabled opengl disabled
xstart shows dri rendering enabled. glxinfo shows disabled opengl disabled
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 19:55 EST by Koby Leung
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 08:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Conf file. (3.27 KB, text/plain)
2006-01-31 19:55 EST, Koby Leung
no flags Details

  None (edit)
Description Koby Leung 2006-01-31 19:55:17 EST
Upgraded to Fedora Core 4 on this machine. Unfortunately, bug still persists.
Symptoms have not changed. Also attaching xorg.conf file.

New set of xorg rpms (rpm -qa|grep xorg):
xorg-x11-doc-6.8.2-37.FC4.49.2
fonts-xorg-base-6.8.2-1
xorg-x11-xauth-6.8.2-37.FC4.49.2
xorg-x11-Mesa-libGLU-6.8.2-37.FC4.49.2
xorg-x11-twm-6.8.2-37.FC4.49.2
xorg-x11-Xdmx-6.8.2-37.FC4.49.2
xorg-x11-libs-6.8.2-37.FC4.49.2
xorg-x11-Mesa-libGL-6.8.2-37.FC4.49.2
xorg-x11-Xvfb-6.8.2-37.FC4.49.2
xorg-x11-6.8.2-37.FC4.49.2
xorg-x11-xdm-6.8.2-37.FC4.49.2
xorg-x11-tools-6.8.2-37.FC4.49.2
xorg-x11-font-utils-6.8.2-37.FC4.49.2
xorg-x11-xfs-6.8.2-37.FC4.49.2
xorg-x11-deprecated-libs-6.8.2-37.FC4.49.2
xorg-x11-devel-6.8.2-37.FC4.49.2
xorg-x11-Xnest-6.8.2-37.FC4.49.2
xorg-x11-sdk-6.8.2-37.FC4.49.2

+++ This bug was initially created as a clone of Bug #179403 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111
Firefox/1.5

Description of problem:
Summary:
Trying to get DRI working on i810 based Dell 700m System. X Log, see attached,
has no errors and indicates that direct rendering is enabled. However, glxinfo
indicates that direct rending is disabled.

Found this thread from XFree 4.2 with exactly the same symptoms. However, their
fix of enabling XvMC doesn't work.(xorg no longer uses this setting.)

http://lists.debian.org/debian-x/2002/08/msg00011.html

Installed versions of xorg packages:

xorg-x11-font-utils-6.8.2-1.FC3.45.2
xorg-x11-sdk-6.8.2-1.FC3.45.2
xorg-x11-Mesa-libGLU-6.8.2-1.FC3.45.2
xorg-x11-xfs-6.8.2-1.FC3.45.2
xorg-x11-Xdmx-6.8.2-1.FC3.45.2
xorg-x11-libs-6.8.2-1.FC3.45.2
xorg-x11-Xvfb-6.8.2-1.FC3.45.2
xorg-x11-devel-6.8.2-1.FC3.45.2
xorg-x11-tools-6.8.2-1.FC3.45.2
xorg-x11-doc-6.8.2-1.FC3.45.2
xorg-x11-Mesa-libGL-6.8.2-1.FC3.45.2
xorg-x11-xauth-6.8.2-1.FC3.45.2
xorg-x11-deprecated-libs-6.8.2-1.FC3.45.2
xorg-x11-xdm-6.8.2-1.FC3.45.2
xorg-x11-Xnest-6.8.2-1.FC3.45.2
xorg-x11-twm-6.8.2-1.FC3.45.2
xorg-x11-6.8.2-1.FC3.45.2

GLXInfo dump:
display: :0  screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_OML_swap_method, GLX_SGI_make_current_read,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig
client glx vendor string: SGI
client glx version string: 1.2
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory,
    GLX_MESA_swap_control, GLX_MESA_swap_frame_usage, GLX_OML_swap_method,
    GLX_OML_sync_control, GLX_SGI_make_current_read, GLX_SGI_swap_control,
    GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig,
    GLX_SGIX_visual_select_group
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory,
    GLX_SGI_make_current_read, GLX_SGIS_multisample
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.2.1)
OpenGL extensions:
    GL_ARB_depth_texture, GL_ARB_imaging, GL_ARB_multitexture,
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shadow,
    GL_ARB_shadow_ambient, GL_ARB_texture_border_clamp,
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar,
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat,
    GL_ARB_transpose_matrix, GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra,
    GL_EXT_blend_color, GL_EXT_blend_func_separate, GL_EXT_blend_logic_op,
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_clip_volume_hint,
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord,
    GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, GL_EXT_polygon_offset,
    GL_EXT_rescale_normal, GL_EXT_secondary_color,
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs,
    GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, GL_EXT_subtexture,
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp,
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine,
    GL_EXT_texture_env_dot3, GL_EXT_texture_lod_bias, GL_EXT_texture_object,
    GL_EXT_texture_rectangle, GL_EXT_vertex_array, GL_APPLE_packed_pixels,
    GL_ATI_texture_mirror_once, GL_ATI_texture_env_combine3,
    GL_IBM_texture_mirrored_repeat, GL_MESA_pack_invert,
    GL_MESA_ycbcr_texture, GL_NV_blend_square, GL_NV_point_sprite,
    GL_NV_texgen_reflection, GL_NV_texture_rectangle, GL_SGIS_generate_mipmap,
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp,
    GL_SGIS_texture_lod, GL_SGIX_depth_texture, GL_SGIX_shadow,
    GL_SGIX_shadow_ambient
glu version: 1.3
glu extensions:
    GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x24 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x26 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x27 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x29 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2b 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2c 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2e 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2f 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x30 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x31 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x32 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x47 32 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None



Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.FC3.45.2

How reproducible:
Always

Steps to Reproduce:
1. Start X
2. Note from log that direct rendering is enabled.
3. run "glxinfo|grep dir". Note that direct rendering is disabled.
  

Actual Results:  Log states rendering enabled, glxinfo states rendering disabled.

Expected Results:  glxinfo should have stated that direct rendering enabled.

Additional info:

-- Additional comment from job@legenko.com on 2006-01-30 19:18 EST --
Created an attachment (id=123892)
xorg log


-- Additional comment from mharris@redhat.com on 2006-01-31 09:51 EST --
Fedora Core 3 is no longer maintained by Red Hat, since the public release
of Fedora Core 5 test2.  As of this writing, the currently maintained OS
release is Fedora Core 4, to which all users are recommended to upgrade to.

Setting status to "CURRENTRELEASE" of Fedora Core 4.
Comment 1 Koby Leung 2006-01-31 19:55:17 EST
Created attachment 123943 [details]
Conf file.
Comment 2 Mike A. Harris 2006-02-01 04:59:29 EST
This bug report is a clone of a closed FC3 bug, which only contains the
details from the problematic FC3 system.

If the problem is truly occuring in Fedora Core 4 as well, then it is
most likely not specific to Fedora Core, and a bug report should be
filed to X.Org bugzilla at http://bugs.freedesktop.org

Once you've filed a report in X.Org bugzilla, please paste the bug URL
here, so that the upstream driver developers are aware of the issue,
and we can track the issue upstream.  Should a patch become available,
we will review it for consideration in a future update.

Setting status to "NEEDINFO_REPORTER", awaiting upstream bug report URL
for tracking.
Comment 3 Mike A. Harris 2006-02-01 19:01:17 EST
This is an automated note being applied to multiple bugs simultaneously
intended to provide some useful general information.  Please do not reply.

General info for Fedora bug reporters:  Please note that all Fedora Core 4
bugs being filed against any part of the X Window System, should be filed
against the "xorg-x11" bug component.  Bugzilla components correspond to the
src.rpm package from which any application or particular file has been built
from.  "xorg-x11" is the single src.rpm in FC4 which fully contains the
X window system.

All of the other xorg-x11-* components listed in bugzilla, such as xorg-x11-xdm,
xorg-x11-drv-*, and various other components, are those which are part of the
current Fedora Core 5 development process, and are intended only for bugs
being filed against FC5 test releases and "rawhide" which contain the X11R7
release of the X Window system.

When filing FC4 bugs, please ensure you are using "xorg-x11" as a component
and not one of the FC5/devel related components.  This may seem a bit
confusing, since bugzilla presents all of these components as choices
even for FC4.

This seems to be an unfortunate limitation in bugzilla, which does not
appear to be able to restrict individual components to a single product
version, thereby every component in every version appears in the list
for all versions.

When we find a bug filed against a component that is not included in that
particular OS release, we'll do our best to ensure it gets reassigned to
the correct component, however any help users can provide by filing
against the right component, or reassigning misfiled bugs they spot
to the right component would be greatly appreciated.

Thanks in advance, and apologies for any inconveniences.
Comment 4 Mike A. Harris 2006-02-09 08:25:25 EST
Closing bug due to lack of upstream bug report URL, and lack of feedback.

If the issue is still present/relevent, please file a bug report directly
to X.Org at http://bugs.freedesktop.org in the "xorg" component, and paste
the URL here and Red Hat will track the issue in the X.Org bugzilla.

Setting status to "CANTFIX" (no bug URL, lack of response)
Comment 5 Koby Leung 2006-02-09 13:30:01 EST
Funny - bugzilla system was down yesterday, so I couldn't update, and yesterday
the resolution came.

X needs to be upgraded for this to be fixed.

See
https://bugs.freedesktop.org/show_bug.cgi?id=5792

Note You need to log in before you can comment on or make changes to this bug.